/*  ----------------------------------------------------------------------
    This code is based on 'rio500_usb.h' by Cesar Miquel

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    ---------------------------------------------------------------------- */

#ifndef _USBPD_H_
#define _USBPD_H_
#define USBPD_MINORS		16

#define USBPD_SEND_COMMAND			0x1
#define USBPD_RECV_COMMAND			0x2
#define USBPD_DEVICE_INFO			0x3

#define USBPD_DIR_OUT               	        0x0
#define USBPD_DIR_IN				0x1

#define USBPD_DEVICE_INFO_SIZE 26 // means (sizeof(struct usb_device_descriptor)+sizeof(int)+sizeof(int))

typedef enum _usbpdtype {
	UNKNOWN = -1,
	VMC,
	NWWM,
	NETMD,
	MSWM
} USBPDType;

struct USBPDCommand {
	short length;
	int request;
	int requesttype;
	int value;
	int index;
	void *buffer;
	int timeout;
};
#endif
