/*
 *  linux/fs/proc/ps2sysvers.c
 *
 *	Copyright (C) 2001  Sony Computer Entertainment Inc.
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License Version 2. See the file "COPYING" in the main
 * directory of this archive for more details.
 *
 * $Id: ps2sysvers.c,v 1.1 2001/12/25 11:33:38 takemura Exp $
 */

#include <linux/types.h>
#include <linux/kernel.h>
#include <asm/ps2/bootinfo.h>

int get_ps2sysvers(char *buffer)
{
	return sprintf(buffer,
		       "MODELNAME=\"%s\"\n"
		       "PS1DRVROMVERSION=\"%s\"\n"
		       "PS1DRVHDDVERSION=\"%s\"\n"
		       "PS1DRVPATH=\"%s\"\n"
		       "VM=\"%s\"\n"
		       "RB=\"%s\"\n"
		       "DVDIDCHAR=\"%s\"\n"
		       "DVDROMVERSION=\"%s\"\n"
		       "DVDHDDVERSION=\"%s\"\n"
		       "DVDPATH=\"%s\"\n",
		       ps2_bootinfo->ver_model,
		       ps2_bootinfo->ver_ps1drv_rom,
		       ps2_bootinfo->ver_ps1drv_hdd,
		       ps2_bootinfo->ver_ps1drv_path,
		       ps2_bootinfo->ver_vm,
		       ps2_bootinfo->ver_rb,
		       ps2_bootinfo->ver_dvd_id,
		       ps2_bootinfo->ver_dvd_rom,
		       ps2_bootinfo->ver_dvd_hdd,
		       ps2_bootinfo->ver_dvd_path);
}
